summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Robby Workman2010-05-11 20:00:42 +0200
committer Michiel van Wessem2010-05-11 20:00:42 +0200
commit35991ed997bfe37a471c1d3e4b8a8dc2b209ccfc (patch)
tree59a53090000f8eac162c28e0ba640f41e3686e64 /libraries
parent7eff504532c4caa21fa1d4bdcc3069f37cae3b14 (diff)
downloadslackbuilds-35991ed997bfe37a471c1d3e4b8a8dc2b209ccfc.tar.gz
libraries/dbus-python: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/dbus-python/README3
-rw-r--r--libraries/dbus-python/dbus-python.SlackBuild86
-rw-r--r--libraries/dbus-python/dbus-python.info8
-rw-r--r--libraries/dbus-python/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/libraries/dbus-python/README b/libraries/dbus-python/README
new file mode 100644
index 0000000000..4fd1be73b1
--- /dev/null
+++ b/libraries/dbus-python/README
@@ -0,0 +1,3 @@
+dbus-python (Python bindings for dbus)
+
+This package includes the python bindings for the dbus IPC library.
diff --git a/libraries/dbus-python/dbus-python.SlackBuild b/libraries/dbus-python/dbus-python.SlackBuild
new file mode 100644
index 0000000000..111ca48c3d
--- /dev/null
+++ b/libraries/dbus-python/dbus-python.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Copyright 2008 Robby Workman http://rlworkman.net
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dbus-python
+VERSION=0.82.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared=yes \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/dbus-python/dbus-python.info b/libraries/dbus-python/dbus-python.info
new file mode 100644
index 0000000000..38a46ad8a2
--- /dev/null
+++ b/libraries/dbus-python/dbus-python.info
@@ -0,0 +1,8 @@
+PRGNAM="dbus-python"
+VERSION="0.82.3"
+HOMEPAGE="http://dbus.freedesktop.org/releases/dbus-python/"
+DOWNLOAD="http://dbus.freedesktop.org/releases/dbus-python/dbus-python-0.82.3.tar.gz"
+MD5SUM="6b7626979b63994613a533a2d244c48c"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="BP{k}"
diff --git a/libraries/dbus-python/slack-desc b/libraries/dbus-python/slack-desc
new file mode 100644
index 0000000000..42c94e23d1
--- /dev/null
+++ b/libraries/dbus-python/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+dbus-python: dbus-python (Python bindings for dbus)
+dbus-python:
+dbus-python: This package includes the python bindings
+dbus-python: for the dbus IPC library.
+dbus-python:
+dbus-python:
+dbus-python:
+dbus-python:
+dbus-python:
+dbus-python:
+dbus-python: